Web lists-archives.com

Problems {PEBKAC?} running mmdebstrap for 1st time




On 05/26/2019 10:05 AM, Richard Owlett wrote:
On 05/26/2019 09:52 AM, Jonas Smedegaard wrote:
Quoting Richard Owlett (2019-05-26 16:34:17)
I was investigating using multistrap, but it has been orphaned.
mmdebstrap apparently has the desired features of multistrap but is
available only in Buster.

I do not have the available bandwidth to install Buster.
In Stretch perl is 5.24.1-3+deb9u5 but is 5.28.1-6 in Buster.

Is it feasible to run under Stretch? How?

mmdebstrap has no tight dependencies so you should be able to simply
install the Buster package in Stretch and try use it.


My command was:
mmdebstrap --variant=required stretch test1.tar file:///media/richard/dvds/dvd1.iso

The error received was:
sh: 1: fakechroot: not found
sh: 1: proot: not found
E: unable to pick chroot mode automatically

That was resolved by installing "fakechroot". I had read the man page as implying the use of a tar file did not require it.

That left me with the problem of telling the instance of apt being run internally by mmdebstrap that dvd1.iso is trusted. I unsuccessfully tried using the distribution DVD itself.

What is the proper syntax to use dvd1.iso {preferred} or DVD in drive {last resort} as my repository?